package com.lc.test01;


import java.sql.*;

public class Test03 {

    public static void main(String[] args) throws Exception {
        //注册驱动
        // Class.forName("com.mysql.jdbc.Driver");

        //获取连接
        String url = "jdbc:mysql:///db2";
        String user = "root";
        String pass = "123456";

        Connection connection = DriverManager.getConnection(url, user, pass);

        //sql 注入
        //String id = "\"1 \" OR 1=1 ";
        String id = "1";
        //sql
        String sql = " select * from t_user where id =  ? ";

        //sql执行对象
        PreparedStatement statement = connection.prepareStatement(sql);
        /*
            处理参数 不是拼接
            用 ？ 英文 代替参数
            setInt( 参数1 , 参数2) 参数1 代表 索引  从 1开始  第二个参数 传递的参数值。
         */

        statement.setString(1, id);


        //获取结果集
        ResultSet rs = statement.executeQuery();

        //rs.next() 判断是否有数据
        while (rs.next()){
            //rs.getXXX(参数) 获取数据    参数 索引 或者是字段
            String name = rs.getString("name");
            int age = rs.getInt("age");

            System.out.println("name= " + name + "-age = " + age);
        }

        //释放
        rs.close();
        statement.close();
        connection.close();

    }
}
